#3970 closed enhancement (fixed)

Deprecate use _RTEMS_version at API level

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3972, #3978

Description

The global variable _RTEMS_version was declared via <rtems.h> and may be used directly by application code. Applications should use rtems_get_version_string() instead. Mark this variable as deprecated and move it to an internal header file in RTEMS 6.

Change History (4)

comment:1 Changed on May 5, 2020 at 12:55:41 PM by Sebastian Huber

Blocking: 3972 added

comment:2 Changed on May 6, 2020 at 6:02:33 AM by Sebastian Huber <sebastian.huber@…>

In 4b9b6dd/rtems:

Use rtems_get_version_string()

Update #3970.

comment:3 Changed on May 6, 2020 at 6:02:37 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 34b098e/rtems:

rtems: Deprecate use of _RTEMS_version

Close #3970.

comment:4 Changed on May 11, 2020 at 5:48:32 AM by Sebastian Huber

Blocking: 3978 added
Note: See TracTickets for help on using tickets.